var AirWidget = {
	init : function(widgetURL, isShowInTaskbar) {
		var windowOptions = new air.NativeWindowInitOptions();
		if (!isShowInTaskbar) {
			windowOptions.type = air.NativeWindowType.UTILITY;
		}
		
		windowOptions.systemChrome = air.NativeWindowSystemChrome.NONE;
		windowOptions.transparent = true;
		windowOptions.resizable   = false;
		windowOptions.minimizable = true;
		windowOptions.maximizable = false;

		var widgetX 	 = window.nativeWindow.x;
		var widgetY 	 = window.nativeWindow.y;
		var widgetWidth  = window.nativeWindow.width;
		var widgetHeight = window.nativeWindow.height;
		var windowBounds = new air.Rectangle(widgetX, widgetY, widgetWidth, widgetHeight);

		//air.URLRequestDefaults.manageCookies = false;
		var widgetLoader = air.HTMLLoader.createRootWindow(
		    true /* Visible */, 
		    windowOptions, 
		    false /* No scrollbars */, 
		    windowBounds);
		widgetLoader.load(new air.URLRequest(widgetURL));
		widgetLoader.window.nativeWindow.activate();
		widgetLoader.window.nativeWindow.alwaysInFront = true;
		window.nativeWindow.close();
	}
}